"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseValueExpression = exports.parseValueExpressionOrList = void 0;
const primitive_value_list_node_js_1 = require("../operation-node/primitive-value-list-node.js");
const value_list_node_js_1 = require("../operation-node/value-list-node.js");
const value_node_js_1 = require("../operation-node/value-node.js");
const object_utils_js_1 = require("../util/object-utils.js");
const complex_expression_parser_js_1 = require("./complex-expression-parser.js");
function parseValueExpressionOrList(ctx, arg) {
    if ((0, object_utils_js_1.isReadonlyArray)(arg)) {
        return parseValueExpressionList(ctx, arg);
    }
    else {
        return parseValueExpression(ctx, arg);
    }
}
exports.parseValueExpressionOrList = parseValueExpressionOrList;
function parseValueExpression(ctx, exp) {
    if ((0, complex_expression_parser_js_1.isComplexExpression)(exp)) {
        return (0, complex_expression_parser_js_1.parseComplexExpression)(ctx, exp);
    }
    return value_node_js_1.ValueNode.create(exp);
}
exports.parseValueExpression = parseValueExpression;
function parseValueExpressionList(ctx, arg) {
    if (arg.some(complex_expression_parser_js_1.isComplexExpression)) {
        return value_list_node_js_1.ValueListNode.create(arg.map((it) => parseValueExpression(ctx, it)));
    }
    return primitive_value_list_node_js_1.PrimitiveValueListNode.create(arg);
}
